%define		module_name             pentanet
%define		module_version          2.3.1
%define		module_stamp            021111
%define		module_source %{module_name}-RHx-%{module_version}_%{module_stamp}.tar.gz
%define		module_source_dir %{module_name}-%{module_version}
%define		base_arch %(echo %{_target_cpu} | sed 's/i.86/i386/;s/athlon/i386/')

Name:		kernel-source-%{module_name}
Version:	%{module_version}
Release:	alt6
Summary:	%{module_name} kernel module source code
Summary(ru_RU.KOI8-R):     %{module_name}
License:	GPL-2
Group:		Development/Kernel
ExclusiveOS:	Linux
BuildArch:	noarch
Packager:	Denis Ovsienko <pilot@altlinux.ru>
URL:		http://pentamedia.com/eng/customer/net.htm
BuildRequires:	rpm >= 4.0.2-75
Source0:	http://pentamedia.com/eng/customer/down/Linux/%{module_source}

%description
This package contains %{module_name} kernel module source code, required for automatic
module build during different flavours kernel builds in ALT Linux.

%description -l ru_RU.KOI8-R
       %{module_name}, 
          ALT Linux.

%prep

%build

%install
%__mkdir_p %buildroot%_usrsrc/kernel/sources/
%__mkdir tartmp
pushd tartmp
%__tar xzf %SOURCE0
%__mv %{module_name}-RHx-%{module_version} kernel-source-%module_source_dir
%__tar -c kernel-source-%module_source_dir | %__bzip2 -c > \
	%buildroot%_usrsrc/kernel/sources/kernel-source-%module_source_dir.tar.bz2
popd
%__rm -rf tartmp

%files
%_usrsrc/kernel/sources/kernel-source-%module_source_dir.tar.bz2

%changelog
* Mon Sep 19 2005 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt6
- kernel-source-pentanet becomes noarch
- pentanet-tools becomes a separate package

* Wed Feb 23 2005 LAKostis <lakostis at altlinux.ru> 2.3.1-alt5.1
- fixed build in kernel cvs.

* Mon Jan 03 2005 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt5
- moved all net-scripts files to net-scripts-0.5.1 so we can avoid conflict with etcnet
- fixed build error

* Tue Mar 23 2004 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt4
- spec cleanup
- moved example configs to docdir

* Fri Jan 23 2004 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt3
- macros, deps and text fixes
- README.ALT

* Sun Oct 12 2003 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt2
- fixed install calls
- removed version from name
- one more file into docs

* Sat Oct 11 2003 Denis Ovsienko <pilot@altlinux.ru> 2.3.1-alt1
- initial Sisyphus build
